Bug 1136522 - Use HarfBuzz
Summary: Use HarfBuzz
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-02 18:34 UTC by Michael Kuhn
Modified: 2017-03-15 20:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Use HarfBuzz (3.65 KB, text/plain)
2014-09-02 18:34 UTC, Michael Kuhn
no flags Details
Use HarfBuzz (3.65 KB, patch)
2014-09-03 10:18 UTC, Michael Kuhn
no flags Details | Diff

Description Michael Kuhn 2014-09-02 18:34:40 UTC
Created attachment 933896 [details]
Use HarfBuzz

Description of problem:
FreeType can use HarfBuzz to provide improved hinting.

The attached patch adds a new with_harfbuzz flag that enables building FreeType with HarfBuzz support. (It is currently set to 1 but can easily be set to 0 to disable it by default.)

Comment 1 Behdad Esfahbod 2014-09-03 08:49:03 UTC
Note that this introduces a circular dependency since harfbuzz requires freetype to build.

Comment 2 Marek Kašík 2014-09-03 09:06:19 UTC
(In reply to Behdad Esfahbod from comment #1)
> Note that this introduces a circular dependency since harfbuzz requires
> freetype to build.

Yes, this is the reason why I haven't turned it on yet. I'll look at it again once this is solved upstream.

Regards

Marek

Comment 3 Michael Kuhn 2014-09-03 10:18:47 UTC
Created attachment 934031 [details]
Use HarfBuzz

Yes, building the package(s) from scratch requires one extra step:

1. Build freetype with --define 'with_harfbuzz 0'
2. Build harfbuzz
3. Build freetype

What would be your preferred way of solving this? Loading HarfBuzz dynamically in FreeType?

I also just noticed that the original patch included a typo for the "with_harfbuzz 0" case; I am attaching a fixed version for completeness.

Comment 4 Michael Kuhn 2014-09-03 10:53:26 UTC
> What would be your preferred way of solving this? Loading HarfBuzz
> dynamically in FreeType?

… which would obviously not solve the build time issues. Sorry, I guess I was not fully awake when writing this. :-)

Comment 5 Behdad Esfahbod 2014-11-20 20:59:12 UTC
I don't have a preferred way for this right now unfortunately.  :(

Comment 6 Rex Dieter 2015-05-06 14:04:12 UTC
Fedora has bootstrapping guidelines,
https://fedoraproject.org/wiki/Packaging:Guidelines#Bootstrapping

that could be used here.


Note You need to log in before you can comment on or make changes to this bug.